Bug 191414 - gpa: can't encrypt with multple keys
gpa: can't encrypt with multple keys
Product: Fedora
Classification: Fedora
Component: gpa (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-11 14:49 EDT by Piergiorgio Sartor
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-24 15:12:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2006-05-11 14:49:57 EDT
Description of problem:
gpa, like all the pgp tools, gives the possible to encypt a file for
multiple user, i.e. it can encrypt using multiple public keys.
Unfortunately this does not seem to work properly, since when trying more
than one key, it hangs with 99% CPU usage

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Import (or create, I guess) more than one public key.
Go to file manager and try to encrypt a file using 2 or 3 keys.
Actual results:
gpa runs at 99% of CPU, but it does not seem to produce anything usable.

Expected results:
It should proceed and encrypt the file for multiple users/keys.

Additional info:
gpa 0.7.3 under cygwin on a win32 machine has the same problem, so this
seems also to be a bug fo gpa developers.
I report it here also for reference (but I will not report to gpa people).
Comment 1 Rex Dieter 2006-05-11 15:42:03 EDT
Confirmed.  Still a problem in 0.7.3.  Works when encrypting with 1 key.
Comment 3 Rex Dieter 2007-02-07 08:57:47 EST
upstream moved bug to
and has reportedly been fixed in svn.  

Anxiously awaiting new release.

Note You need to log in before you can comment on or make changes to this bug.